Update Expo's Sentry package

#1

Hi guys! There has been a rather important update (at least for us) for @sentry/cli. The update includes out-of-the-box support for Alpine Linux. I’ve already created a PR to upgrade to the latest version of sentry-react-native, which implicitly includes the latest @sentry/cli using @sentry/wizard package.

Right now we are forced to use a forked version of sentry-expo since we use Alpine in our CI pipelines. I was wondering if someone could help or take a look at this PR and possibly get this merged, since I hate using forked stuff. If there is something I can do to speed up or help with the upgrade feel free to ping me on GitHub or Slack!

#2

Hey @bycedric,

Thanks for the detailed post and even more so for the PR. Brought it up in our internal slack and it sounds like the the magic man @notbrent is going to take a look at the the PR and see what we can do about getting Sentry updated. I’m sure he’ll be in touch.

Cheers,

Adam

#3

Thanks @adamjnav for the update! Have a nice weekend

#4

replied in https://github.com/expo/sentry-expo/pull/26#issuecomment-386839718

1 Like
closed #5

This topic was automatically closed 15 days after the last reply. New replies are no longer allowed.